/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __ATOMIC_HEADER__
#define __ATOMIC_HEADER__

#include <qpe/qpemenubar.h>
#include <qmainwindow.h>
#include <qlabel.h>
#include <qpopupmenu.h>
#include "gamewidget.h"

class Atomic : public QMainWindow
{
    Q_OBJECT

public:
    Atomic(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Atomic();

private:
    void readConfig(void);
    void writeConfig(void);

private:
    GameWidget *m_gamewidget;
    QPopupMenu *m_animationSpeedMenu;
    int m_animationSpeed;

protected slots:
    void updateAnimationSpeed(int animationSpeed);
};

#endif // __ATOMIC_HEADER__

