/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#include <qwidget.h>
#include <qpixmap.h>
#include <qbitmap.h>
#include <qimage.h>
#include <qpainter.h>
#include "Levels.h"
#include "levels/data.c"

Levels::Levels(void)
{
    for (m_levels = 0; leveldata[m_levels].name != 0; m_levels++) {
	// nix
    }
}

int Levels::levels(void)
{
    return m_levels;
}

const char *Levels::name(int level)
{
    if (level >= 0 && level < m_levels) {
	return leveldata[level].name;
    } else {
	return "";
    }
}

const char *Levels::atom(int level, int i)
{
    if (level >= 0 && level < m_levels && i >= 0 && i < 36) {
	return leveldata[level].atom[i];
    } else {
	return 0;
    }
}

const char *Levels::feld(int level, int i)
{
    if (level >= 0 && level < m_levels && i >= 0 && i < 15) {
	return leveldata[level].feld[i];
    } else {
	return 0;
    }
}

const char *Levels::mole(int level, int i)
{
    if (level >= 0 && level < m_levels && i>= 0 && i < 10) {
	return leveldata[level].mole[i];
    } else {
	return 0;
    }
}

