/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#include <qwidget.h>
#include <qpixmap.h>
#include <qbitmap.h>
#include <qimage.h>
#include <qpainter.h>
#include "SpriteCollection.h"
#include "images/data.c"

SpriteCollection::SpriteCollection(QWidget *parent)
{
    int i;

    m_parent = parent;
    m_atom[0].loadFromData(atom_1_data_, sizeof (atom_1_data_));
    m_atom[1].loadFromData(atom_2_data_, sizeof (atom_2_data_));
    m_atom[2].loadFromData(atom_3_data_, sizeof (atom_3_data_));
    m_atom[3].loadFromData(atom_4_data_, sizeof (atom_4_data_));
    m_atom[4].loadFromData(atom_5_data_, sizeof (atom_5_data_));
    m_atom[5].loadFromData(atom_6_data_, sizeof (atom_6_data_));
    m_atom[6].loadFromData(atom_7_data_, sizeof (atom_7_data_));
    m_atom[7].loadFromData(atom_8_data_, sizeof (atom_8_data_));
    m_atom[8].loadFromData(atom_9_data_, sizeof (atom_9_data_));
    m_atom[9].loadFromData(atom_10_data_, sizeof (atom_10_data_));
    for (i = 0; i < 10; i++) {
	m_atom[i].setMask(m_atom[i].createHeuristicMask());
    }
    m_brick[0].loadFromData(brick_1_data_, sizeof (brick_1_data_));
    m_brick[1].loadFromData(brick_2_data_, sizeof (brick_2_data_));
    m_brick[2].loadFromData(brick_3_data_, sizeof (brick_3_data_));
    m_conn[0].loadFromData(conn_1_data_, sizeof (conn_1_data_));
    m_conn[1].loadFromData(conn_2_data_, sizeof (conn_2_data_));
    m_conn[2].loadFromData(conn_3_data_, sizeof (conn_3_data_));
    m_conn[3].loadFromData(conn_4_data_, sizeof (conn_4_data_));
    m_conn[4].loadFromData(conn_5_data_, sizeof (conn_5_data_));
    m_conn[5].loadFromData(conn_6_data_, sizeof (conn_6_data_));
    m_conn[6].loadFromData(conn_7_data_, sizeof (conn_7_data_));
    m_conn[7].loadFromData(conn_8_data_, sizeof (conn_8_data_));
    m_conn[8].loadFromData(conn_9_data_, sizeof (conn_9_data_));
    m_conn[9].loadFromData(conn_10_data_, sizeof (conn_10_data_));
    m_conn[10].loadFromData(conn_11_data_, sizeof (conn_11_data_));
    m_conn[11].loadFromData(conn_12_data_, sizeof (conn_12_data_));
    m_conn[12].loadFromData(conn_13_data_, sizeof (conn_13_data_));
    m_conn[13].loadFromData(conn_14_data_, sizeof (conn_14_data_));
    m_conn[14].loadFromData(conn_15_data_, sizeof (conn_15_data_));
    m_conn[15].loadFromData(conn_16_data_, sizeof (conn_16_data_));
    for (i = 0; i < 16; i++) {
	m_conn[i].setMask(m_conn[i].createHeuristicMask());
    }
    m_horizontal.loadFromData(horizontal_data_, sizeof (horizontal_data_));
    m_bottomleft2topright.loadFromData(bottomleft2topright_data_, sizeof (bottomleft2topright_data_));
    m_vertical.loadFromData(vertical_data_, sizeof (vertical_data_));
    m_topleft2bottomright.loadFromData(topleft2bottomright_data_, sizeof (topleft2bottomright_data_));
    m_up.loadFromData(up_data_, sizeof (up_data_));
    m_down.loadFromData(down_data_, sizeof (down_data_));
    m_left.loadFromData(left_data_, sizeof (left_data_));
    m_right.loadFromData(right_data_, sizeof (right_data_));
    m_crystal.loadFromData(crystal_data_, sizeof (crystal_data_));
    m_empty.loadFromData(empty_data_, sizeof (empty_data_));
}

