
#ifndef GAMEWIDGET_H
#define GAMEWIDGET_H

class Feld;
class Molek;
class QScrollBar;
class QLabel;

#include <qwidget.h>
#include <qhbox.h>

class GameWidget : public QWidget
{
    Q_OBJECT

 public:

    GameWidget ( QWidget *parent, const char *name=0 );

    ~GameWidget();

 public slots:
    // bringt level auf neuesten stand
    void updateLevel (int);

    // getbutton erhlt button der gedrckt wurde
    void getButton (int);

    void gameOver(int moves);

    // use this slot to update the moves continually
    void updateMoves(int moves);

    // restart at level 0
    void start(void);

    // set view mode
    void setView(int what);

    // set animation speed
    void updateAnimationSpeed(int animationSpeed);

 protected:

    void keyPressEvent(QKeyEvent *event);
    void paintEvent(QPaintEvent *event);

    // stellt das spielfeld dar !
    Feld *feld;

    // stellt molekl dar
    Molek *molek;

    QScrollBar *scroll;

    int nlevels;
    int m_animationSpeed;
    int m_moves;
    int m_view;
};

#endif
