#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[])
{
    int i;

    printf("#include <stdio.h>\n");
    printf("\n");
    printf("struct leveldata {\n");
    printf("    const char *name;\n");
    printf("    const char *atom[36];\n");
    printf("    const char *feld[15];\n");
    printf("    const char *mole[10];\n");
    printf("};\n");
    printf("\n");
    printf("struct leveldata leveldata[] = {\n");
    for (i = 1; i < argc; i++) {
	FILE *fp = fopen(argv[i], "r");
	char buffer[1024];
	int phase = 0;
	if (fp == NULL) {
	    fprintf(stderr, "Could not open %s: %m\n", argv[i]);
	    exit(1);
	}
	printf("    {");
	while (!ferror(fp) && !feof(fp)) {
	    if (fgets(buffer, sizeof (buffer), fp) == NULL) {
		break;
	    }
	    while (1) {
		int len = strlen(buffer);
		if (!strlen ||
		    (buffer[len - 1] != '\n' && buffer[len - 1] != '\r')) {
		    break;
		}
		buffer[len - 1] = '\0';
	    }
	    if (!strncmp(buffer, "Name", 4)) {
		printf("QT_TR_NOOP(\"%s\"),", buffer + 5);
		phase = 0;
	    } else if (!strncmp(buffer, "atom_", 5)) {
		if (phase != 1) {
		    printf("{");
		    phase = 1;
		}
		printf("\"%s\",", buffer + 7);
	    } else if (!strncmp(buffer, "feld_", 5)) {
		if (phase != 2) {
		    printf("},{");
		    phase = 2;
		}
		printf("\"%s\",", buffer + 8);
	    } else if (!strncmp(buffer, "mole_", 5)) {
		if (phase != 3) {
		    printf("},{");
		    phase = 3;
		}
		printf("\"%s\",", buffer + 7);
	    }
	}
	printf("}},\n");
	fclose(fp);
    }
    printf("    {NULL,{NULL,},{NULL,},{NULL,}}\n");
    printf("};\n");
    return 0;
}

